## python-certbot-apache 0.39.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/certbot-apache.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/certbot-apache.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/certbot-apache"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/certbot-apache"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-certbot-apache 0.8.0

=== debian/changelog ===
python-certbot-apache (0.8.0-1) unstable; urgency=high

  * New upstream release.
  * Add Suggests for -doc. (Closes: #825597)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 02 Jun 2016 23:23:30 -0400

python-certbot-apache (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to new name.
  * Switch name to certbot
  * Bump S-V to 3.9.8; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 14 May 2016 17:42:01 -0400

python-letsencrypt-apache (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Change my email address
  * Add version on python-setuptools dependency
  * Make sure to clean up build (Closes: #818696)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 14 Apr 2016 19:30:17 -0400

python-letsencrypt-apache (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Match version restriction on python-parsedatetime
  * Bump S-V; no changes needed
  * Fix Vcs-git URL

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 29 Feb 2016 21:39:42 -0500

python-letsencrypt-apache (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-git to https.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 11 Feb 2016 20:59:51 -0500

python-letsencrypt-apache (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop priority to extra due to python-zope.component.
  * Drop dep on pyopenssl to 0.13, include dep version for configargparse.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 15 Jan 2016 19:50:20 -0500

python-letsencrypt-apache (0.1.1-2) unstable; urgency=medium

  * Fix potential race condition in build.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 19 Dec 2015 18:01:08 -0500

python-letsencrypt-apache (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 15 Dec 2015 21:46:15 -0500

python-letsencrypt-apache (0.1.0-2) unstable; urgency=medium

  * New release for upload to sid.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 10 Dec 2015 23:42:02 -0500

python-letsencrypt-apache (0.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to new GPG key.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 03 Dec 2015 21:33:51 -0500

python-letsencrypt-apache (0.0.0.dev20151123-2) experimental; urgency=medium

  * New release to fix uninstallable version problem.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 01 Dec 2015 21:34:30 -0500

python-letsencrypt-apache (0.0.0.dev20151123-1) experimental; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 29 Nov 2015 23:45:31 -0500

python-letsencrypt-apache (0.0.0.dev20151114-1) experimental; urgency=medium

  [ Francois Marier ]
  * Bump the python-sphinx dependency to >= 1.3.1-1 to ensure that
    python-sphinx-rtd-theme is pulled in.

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Update python-sphinx dependency for backports compatibility.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 14 Nov 2015 12:30:31 -0500

python-letsencrypt-apache (0.0.0.dev20151104-1) experimental; urgency=medium

  * Initial release. (Closes: #803617)

 -- Francois Marier <francois@debian.org>  Wed, 11 Nov 2015 19:07:11 -0800

=== debian/control ===
Source: python-certbot-apache
Section: python
Priority: extra
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6.3~),
               python-augeas,
               python-configargparse (>= 0.10.0),
               python-certbot (>= 0.8.0~),
               python-mock,
               python-openssl (>= 0.13),
               python-parsedatetime (<< 2),
               python-requests,
               python-rfc3339,
               python-setuptools (>= 1.0),
               python-six,
               python-sphinx (>= 1.3.1-1~),
               python-tz,
               python-zope.component,
               python-zope.interface
Standards-Version: 3.9.8
Homepage: https://letsencrypt.org/
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-letsencrypt-apache.git
Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-letsencrypt-apache.git/
X-Python-Version: >= 2.7

Package: python-certbot-apache
Architecture: all
Depends: apache2,
	 certbot (>= 0.8.0~),
	 ${misc:Depends},
	 ${python:Depends}
Breaks: python-letsencrypt-apache
Replaces: python-letsencrypt-apache
Suggests: python-certbot-apache-doc
Description: Apache plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the Apache plugin to the main application.

Package: python-certbot-apache-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Apache plugin documentation for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the documentation for the Apache plugin.

## python-certbot-apache 0.8.1

=== debian/changelog ===
python-certbot-apache (0.8.1-1) unstable; urgency=medium

  * New upstrem release.
  * Add dep on python-sphinx-rtd-theme.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 30 Jun 2016 19:12:00 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-all (>= 2.6.6.3~),
                python-augeas,
                python-configargparse (>= 0.10.0),
-               python-certbot (>= 0.8.0~),
+               python-certbot (>= 0.8.1~),
                python-mock,
                python-openssl (>= 0.13),
                python-parsedatetime (<< 2),
@@ -18,6 +18,7 @@
                python-setuptools (>= 1.0),
                python-six,
                python-sphinx (>= 1.3.1-1~),
+	       python-sphinx-rtd-theme,
                python-tz,
                python-zope.component,
                python-zope.interface
@@ -30,7 +31,7 @@
 Package: python-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.8.0~),
+	 certbot (>= 0.8.1~),
 	 ${misc:Depends},
 	 ${python:Depends}
 Breaks: python-letsencrypt-apache

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-apache

UPSTREAM_VERSION := $(shell head -n 1 debian/changelog | \
		perl -ne '$$_ =~ m/\((?:[0-9]+:)?([0-9][A-Za-z0-9\.\-\+~:]*)-([0-9A-Za-z\+\.~]+)\)/; print $$1;')

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean: debian/control
	dh_clean

debian/control: debian/control.in debian/changelog
	sed -e 's/###UPSTREAM_VERSION###/$(UPSTREAM_VERSION)/g' < debian/control.in > debian/control

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python-certbot-apache/usr/lib/python2.7/dist-packages/certbot_apache/tests/testdata

## python-certbot-apache 0.10.2

=== debian/changelog ===
python-certbot-apache (0.10.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Apr 2017 21:53:14 -0400

python-certbot-apache (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 26 Jan 2017 01:15:50 -0500

python-certbot-apache (0.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 20 Jan 2017 22:26:49 -0500

python-certbot-apache (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Don't ship tests.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Oct 2016 01:54:36 -0400

python-certbot-apache (0.8.1-3) unstable; urgency=high

  * Correct python-parsedatetime dependency. (Closes: #839316)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 03 Oct 2016 00:41:15 -0400

python-certbot-apache (0.8.1-2) unstable; urgency=medium

  * Switch to pkg-info from horrible perl regexp
  * Prevent network access during build.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 02 Sep 2016 18:48:49 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                python-all (>= 2.6.6.3~),
                python-augeas,
                python-configargparse (>= 0.10.0),
-               python-certbot (>= 0.8.1~),
+               python-certbot (>= 0.10.2~),
                python-mock,
+	       python-ndg-httpsclient,
                python-openssl (>= 0.13),
-               python-parsedatetime (<< 2),
+               python-parsedatetime (>= 1.3),
                python-requests,
                python-rfc3339,
                python-setuptools (>= 1.0),
@@ -31,7 +32,7 @@
 Package: python-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.8.1~),
+	 certbot (>= 0.10.2~),
 	 ${misc:Depends},
 	 ${python:Depends}
 Breaks: python-letsencrypt-apache

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-apache

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean: debian/control
	dh_clean

debian/control: debian/control.in debian/changelog
	sed -e 's/###UPSTREAM_VERSION###/$(DEB_VERSION_UPSTREAM)/g' < debian/control.in > debian/control

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python-certbot-apache/usr/lib/python2.7/dist-packages/certbot_apache/tests

## python-certbot-apache 0.14.2

=== debian/changelog ===
python-certbot-apache (0.14.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * Backport to Zesty (LP: #1640978).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Aug 2017 19:26:50 +0100

python-certbot-apache (0.14.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 26 May 2017 14:25:30 +0100

python-certbot-apache (0.12.0-1) experimental; urgency=medium

  * New usptream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 21 Mar 2017 23:17:24 -0400

python-certbot-apache (0.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 19 Feb 2017 14:11:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-certbot-apache
 Section: python
 Priority: extra
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
@@ -9,9 +10,8 @@
                python-all (>= 2.6.6.3~),
                python-augeas,
                python-configargparse (>= 0.10.0),
-               python-certbot (>= 0.10.2~),
+               python-certbot (>= 0.14.2~),
                python-mock,
-	       python-ndg-httpsclient,
                python-openssl (>= 0.13),
                python-parsedatetime (>= 1.3),
                python-requests,
@@ -32,7 +32,7 @@
 Package: python-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.10.2~),
+	 certbot (>= 0.14.2~),
 	 ${misc:Depends},
 	 ${python:Depends}
 Breaks: python-letsencrypt-apache

## python-certbot-apache 0.17.0

=== debian/changelog ===
python-certbot-apache (0.17.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Peter Henn <peter.henn@web.de>  Tue, 08 Aug 2017 01:06:12 +0200

python-certbot-apache (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Move experimental to unstable now that the freeze is over.
  * Upgrade to v4.0.1 of Debian policy

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 06 Aug 2017 17:09:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-certbot-apache
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
@@ -10,7 +9,7 @@
                python-all (>= 2.6.6.3~),
                python-augeas,
                python-configargparse (>= 0.10.0),
-               python-certbot (>= 0.14.2~),
+               python-certbot (>= 0.17.0~),
                python-mock,
                python-openssl (>= 0.13),
                python-parsedatetime (>= 1.3),
@@ -28,11 +27,12 @@
 Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-letsencrypt-apache.git
 Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-letsencrypt-apache.git/
 X-Python-Version: >= 2.7
+Testsuite: autopkgtest-pkg-python
 
 Package: python-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.14.2~),
+	 certbot (>= 0.17.0~),
 	 ${misc:Depends},
 	 ${python:Depends}
 Breaks: python-letsencrypt-apache

## python-certbot-apache 0.21.1

=== debian/changelog ===
python-certbot-apache (0.21.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 10 Feb 2018 22:36:44 -0500

python-certbot-apache (0.21.1-1) unstable; urgency=high

  * New upstream release.
  * Update Vcs-Git URL to be HTTPS.
  * Switch d/copyright URL to HTTPS.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 02 Feb 2018 18:19:00 -0500

python-certbot-apache (0.20.0-3) unstable; urgency=medium

  * Add version restriction on the Breaks of the dummy.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 15 Jan 2018 20:53:05 -0500

python-certbot-apache (0.20.0-2) unstable; urgency=low

  * Add transitional dummy package.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 07 Jan 2018 23:03:09 -0500

python-certbot-apache (0.20.0-1) unstable; urgency=low

  * New upstream release.
  * Convert to python3!
  * Upgrade to debhelper 11.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 05 Jan 2018 21:52:51 -0500

python-certbot-apache (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 04 Oct 2017 19:42:21 -0400

python-certbot-apache (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Move to python3-sphinx.
  * Bump S-V; no changes needed.
  * Drop unnecessary Testsuite header.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 01 Oct 2017 19:06:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,39 +4,37 @@
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
-               python-all (>= 2.6.6.3~),
-               python-augeas,
-               python-configargparse (>= 0.10.0),
-               python-certbot (>= 0.17.0~),
-               python-mock,
-               python-openssl (>= 0.13),
-               python-parsedatetime (>= 1.3),
-               python-requests,
-               python-rfc3339,
-               python-setuptools (>= 1.0),
-               python-six,
-               python-sphinx (>= 1.3.1-1~),
-	       python-sphinx-rtd-theme,
-               python-tz,
-               python-zope.component,
-               python-zope.interface
-Standards-Version: 3.9.8
+               python3,
+               python3-augeas,
+               python3-certbot (>= 0.21.1~),
+               python3-configargparse (>= 0.10.0),
+               python3-mock,
+               python3-openssl (>= 0.13),
+               python3-parsedatetime (>= 1.3),
+               python3-requests,
+               python3-rfc3339,
+               python3-setuptools (>= 1.0),
+               python3-six,
+               python3-sphinx (>= 1.3.1-1~),
+               python3-sphinx-rtd-theme,
+               python3-tz,
+               python3-zope.component,
+               python3-zope.interface
+Standards-Version: 4.1.3
 Homepage: https://letsencrypt.org/
-Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-letsencrypt-apache.git
-Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-letsencrypt-apache.git/
-X-Python-Version: >= 2.7
-Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache.git
+Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache
 
-Package: python-certbot-apache
+Package: python3-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.17.0~),
+	 certbot (>= 0.21.1~),
 	 ${misc:Depends},
-	 ${python:Depends}
-Breaks: python-letsencrypt-apache
-Replaces: python-letsencrypt-apache
+	 ${python3:Depends}
+Breaks: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)
+Replaces: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)
 Suggests: python-certbot-apache-doc
 Description: Apache plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -75,3 +73,11 @@
    - Help you revoke the certificate if that ever becomes necessary.
  .
  This package contains the documentation for the Apache plugin.
+
+Package: python-certbot-apache
+Section: oldlibs
+Architecture: all
+Depends: python3-certbot-apache, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package for the migration of certbot
+ from python2 to python3.  It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean: debian/control
 	dh_clean
@@ -22,4 +22,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -rf $(CURDIR)/debian/python-certbot-apache/usr/lib/python2.7/dist-packages/certbot_apache/tests
+	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
+
+override_dh_installdocs:
+	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc
+	dh_installdocs -p python3-certbot-apache -p python-certbot-apache

## python-certbot-apache 0.22.0

=== debian/changelog ===
python-certbot-apache (0.22.0-1) unstable; urgency=medium

  * New upstream release -- now with wildcards!
  * Break strict dependency requirements.
  * Drop patches applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 15 Mar 2018 20:34:17 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-apache

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python3.6/dist-packages/certbot_apache/tests

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc
	dh_installdocs -p python3-certbot-apache -p python-certbot-apache

## python-certbot-apache 0.23.0

=== debian/changelog ===
python-certbot-apache (0.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 06 Apr 2018 23:29:59 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3,
                python3-augeas,
-               python3-certbot (>= 0.21.1~),
+               python3-certbot (>= 0.22.0~),
                python3-configargparse (>= 0.10.0),
                python3-mock,
                python3-openssl (>= 0.13),

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python3.6/dist-packages/certbot_apache/tests
+	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python*/dist-packages/certbot_apache/tests/testdata
 
 override_dh_installdocs:
 	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc

=== debian/tests/control ===
# <bmw> rbasak: while it's not exactly pretty, here's a pretty decent
# one line test that certbot and its plugins and dependencies are
# installed correctly
# <bmw> certbot plugins --prepare | grep -q apache && certbot --help
# nginx | grep -q nginx-ctl

Test-Command: certbot plugins --prepare | grep -q apache
Depends: python-certbot-apache
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot-apache/certbot-apache-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-apache 0.27.0

=== debian/changelog ===
python-certbot-apache (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Bump S-V; no changes needed
  * Add lintian-override for cross-python version dep.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 05 Sep 2018 20:46:30 -0400

python-certbot-apache (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump deps on certbot, add acme dep explicitly
  * Bump S-V with R-R-R: no

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 14 Jul 2018 02:30:40 -0400

python-certbot-apache (0.25.0-2) unstable; urgency=medium

  * Fix incorrect version dependency.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 12 Jun 2018 10:27:47 -0400

python-certbot-apache (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Bump dep on certbot

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 11 Jun 2018 22:10:04 -0400

python-certbot-apache (0.24.0-2) unstable; urgency=medium

  * Update team email address to tracker.d.o. (Closes: #899667)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 28 May 2018 19:06:56 -0400

python-certbot-apache (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 03 May 2018 19:50:21 -0400

## python-certbot-apache 0.28.0

=== debian/changelog ===
python-certbot-apache (0.28.0-1~deb9u1) stretch; urgency=medium

  * This stretch update is to cure the problem caused by the deprecation
    and disabling of the upstream TLS-SNI-01 certificate verification
    protocol due to a security vulnerability.  Note, the security
    vulnerability isn't in this package; rather, earlier versions of
    certbot are no longer functional due to changes in the interface that
    certbot uses to retrieve certificates.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 19 Dec 2018 18:16:42 -0500

python-certbot-apache (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Nov 2018 18:24:59 -0500

python-certbot-apache (0.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 18 Oct 2018 22:42:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-certbot-apache
 Section: python
 Priority: optional
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3,
                python3-augeas,
-               python3-certbot (>= 0.22.0~),
+	       python3-acme (>= 0.25.0~),
+               python3-certbot (>= 0.26.0~),
                python3-configargparse (>= 0.10.0),
                python3-mock,
                python3-openssl (>= 0.13),
@@ -22,15 +23,16 @@
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache
+Rules-Requires-Root: no
 
 Package: python3-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.21.1~),
+	 certbot (>= 0.26.0~),
 	 ${misc:Depends},
 	 ${python3:Depends}
 Breaks: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,5 @@
 	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python*/dist-packages/certbot_apache/tests/testdata
 
 override_dh_installdocs:
-	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc
+	dh_installdocs -p python-certbot-apache-doc
 	dh_installdocs -p python3-certbot-apache -p python-certbot-apache

## python-certbot-apache 0.28.0-1+ubuntu16.04.1+certbot+3+8.0trisquel1

=== debian/changelog ===
python-certbot-apache (0.28.0-1+ubuntu16.04.1+certbot+3+8.0trisquel1) flidas; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Jan 2019 19:21:02 +0000

python-certbot-apache (0.28.0-1+ubuntu16.04.1+certbot+3) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Dec 2018 15:45:56 +0000

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,19 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 9~),
                dh-python,
                python3,
                python3-augeas,
 	       python3-acme (>= 0.25.0~),
                python3-certbot (>= 0.26.0~),
                python3-configargparse (>= 0.10.0),
-               python3-mock,
                python3-openssl (>= 0.13),
                python3-parsedatetime (>= 1.3),
                python3-requests,
                python3-rfc3339,
                python3-setuptools (>= 1.0),
                python3-six,
-               python3-sphinx (>= 1.3.1-1~),
-               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
@@ -55,27 +52,6 @@
  .
  This package contains the Apache plugin to the main application.
 
-Package: python-certbot-apache-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: Apache plugin documentation for Certbot
- The objective of Certbot, Let's Encrypt, and the ACME (Automated
- Certificate Management Environment) protocol is to make it possible
- to set up an HTTPS server and have it automatically obtain a
- browser-trusted certificate, without any human intervention. This is
- accomplished by running a certificate management agent on the web
- server.
- .
- This agent is used to:
- .
-   - Automatically prove to the Let's Encrypt CA that you control the website
-   - Obtain a browser-trusted certificate and set it up on your web server
-   - Keep track of when your certificate is going to expire, and renew it
-   - Help you revoke the certificate if that ever becomes necessary.
- .
- This package contains the documentation for the Apache plugin.
-
 Package: python-certbot-apache
 Section: oldlibs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-apache

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python*/dist-packages/certbot_apache/tests/testdata

override_dh_auto_test:
	:

## python-certbot-apache 0.31.0

=== debian/changelog ===
python-certbot-apache (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 19:48:00 -0500

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python3,
                python3-augeas,
 	       python3-acme (>= 0.25.0~),
                python3-certbot (>= 0.26.0~),
                python3-configargparse (>= 0.10.0),
+               python3-mock,
                python3-openssl (>= 0.13),
                python3-parsedatetime (>= 1.3),
                python3-requests,
                python3-rfc3339,
                python3-setuptools (>= 1.0),
                python3-six,
+               python3-sphinx (>= 1.3.1-1~),
+               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache
@@ -52,6 +55,27 @@
  .
  This package contains the Apache plugin to the main application.
 
+Package: python-certbot-apache-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Apache plugin documentation for Certbot
+ The objective of Certbot, Let's Encrypt, and the ACME (Automated
+ Certificate Management Environment) protocol is to make it possible
+ to set up an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention. This is
+ accomplished by running a certificate management agent on the web
+ server.
+ .
+ This agent is used to:
+ .
+   - Automatically prove to the Let's Encrypt CA that you control the website
+   - Obtain a browser-trusted certificate and set it up on your web server
+   - Keep track of when your certificate is going to expire, and renew it
+   - Help you revoke the certificate if that ever becomes necessary.
+ .
+ This package contains the documentation for the Apache plugin.
+
 Package: python-certbot-apache
 Section: oldlibs
 Architecture: all

## python-certbot-apache 0.31.0-1%2Bubuntu18.04.1%2Bcertbot%2B1%2B9.0trisquel1

=== debian/changelog ===
python-certbot-apache (0.31.0-1+ubuntu18.04.1+certbot+1+9.0trisquel1) etiona; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Nov 2019 16:59:23 +0000

python-certbot-apache (0.31.0-1+ubuntu18.04.1+certbot+1) bionic; urgency=medium

  * No-change backport to bionic

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Mar 2019 19:52:54 +0000

## python-certbot-apache 0.31.0-1+ubuntu16.04.1+certbot+1+8.0trisquel1

=== debian/changelog ===
python-certbot-apache (0.31.0-1+ubuntu16.04.1+certbot+1+8.0trisquel1) flidas; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 13 Mar 2019 17:18:17 +0000

python-certbot-apache (0.31.0-1+ubuntu16.04.1+certbot+1) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Mar 2019 19:52:47 +0000

## python-certbot-apache 0.36.0

=== debian/changelog ===
python-certbot-apache (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * Bump dh, compat to 12
  * Bump S-V to 4.4.0, no changes needed
  * Bump dep on certbot to 0.36.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 11 Jul 2019 17:17:35 -0400

python-certbot-apache (0.35.1-2) unstable; urgency=medium

  * Correct discrepency between B-D and Depends versions for certbot.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 09 Jul 2019 19:00:01 -0400

python-certbot-apache (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1
  * Bump certbot and acme version requirements.
  * Add dep on pytest, use setup.py test

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 09 Jul 2019 18:53:41 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python3,
                python3-augeas,
-	       python3-acme (>= 0.25.0~),
-               python3-certbot (>= 0.26.0~),
+               python3-acme (>= 0.29.0~),
+               python3-certbot (>= 0.36.0~),
                python3-configargparse (>= 0.10.0),
                python3-mock,
                python3-openssl (>= 0.13),
                python3-parsedatetime (>= 1.3),
+               python3-pytest,
                python3-requests,
                python3-rfc3339,
                python3-setuptools (>= 1.0),
@@ -23,7 +24,7 @@
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-apache
@@ -32,9 +33,9 @@
 Package: python3-certbot-apache
 Architecture: all
 Depends: apache2,
-	 certbot (>= 0.26.0~),
-	 ${misc:Depends},
-	 ${python3:Depends}
+         certbot (>= 0.36.0~),
+         ${misc:Depends},
+         ${python3:Depends}
 Breaks: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)
 Replaces: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)
 Suggests: python-certbot-apache-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-apache

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python3-certbot-apache/usr/lib/python*/dist-packages/certbot_apache/tests/testdata

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc
	dh_installdocs -p python3-certbot-apache -p python-certbot-apache

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py test
endif

## python-certbot-apache 0.39.0

=== debian/changelog ===
python-certbot-apache (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0
  * Bump version dep on certbot.
  * Drop dummy package python-certbot-apache (Closes: #940766)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 01 Oct 2019 21:59:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-augeas,
                python3-acme (>= 0.29.0~),
-               python3-certbot (>= 0.36.0~),
+               python3-certbot (>= 0.39.0~),
                python3-configargparse (>= 0.10.0),
                python3-mock,
                python3-openssl (>= 0.13),
@@ -33,7 +33,7 @@
 Package: python3-certbot-apache
 Architecture: all
 Depends: apache2,
-         certbot (>= 0.36.0~),
+         certbot (>= 0.39.0~),
          ${misc:Depends},
          ${python3:Depends}
 Breaks: python-letsencrypt-apache, python-certbot-apache (<< 0.20.0~)
@@ -76,11 +76,3 @@
    - Help you revoke the certificate if that ever becomes necessary.
  .
  This package contains the documentation for the Apache plugin.
-
-Package: python-certbot-apache
-Section: oldlibs
-Architecture: all
-Depends: python3-certbot-apache, ${misc:Depends}
-Description: transitional dummy package
- This is a transitional dummy package for the migration of certbot
- from python2 to python3.  It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_installdocs:
 	dh_installdocs --doc-main-package=python3-certbot-apache -p python-certbot-apache-doc
-	dh_installdocs -p python3-certbot-apache -p python-certbot-apache
+	dh_installdocs -p python3-certbot-apache
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
 # nginx | grep -q nginx-ctl
 
 Test-Command: certbot plugins --prepare | grep -q apache
-Depends: python-certbot-apache
+Depends: python3-certbot-apache
 Restrictions: needs-root, allow-stderr
